Page MenuHomePhabricator

Reload board when it is created to show page actions
Closed, ResolvedPublic

Description

When you create a board (by either adding a new topic, or creating a description (internally called header), in a namespace where Flow is enabled by default), the page should reload in order to have the server generate page action tabs like "History", etc. at the top.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 5 2015, 2:28 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 5 2015, 2:30 AM
Sn1per claimed this task.Dec 17 2015, 5:23 PM

I found that it is not simple to grab the i18n message used in the History tab, which can be skin specific (e.g. Vector uses vector-view-history). Also, if we want to update 'Move', 'Protect', and friends, we would have to check the current user's rights to determine which should appear as normal.

Given that VE refreshes on page creation, should Flow do something similar?

Change 260226 had a related patch set uploaded (by Sn1per):
[WIP] Reload if board is new

https://gerrit.wikimedia.org/r/260226

Change 260227 had a related patch set uploaded (by Sn1per):
[WIP] Client-side loading of History tab

https://gerrit.wikimedia.org/r/260227

Change 260226 abandoned by Sn1per:
[WIP] Reload if board is new

https://gerrit.wikimedia.org/r/260226

I found that it is not simple to grab the i18n message used in the History tab, which can be skin specific (e.g. Vector uses vector-view-history). Also, if we want to update 'Move', 'Protect', and friends, we would have to check the current user's rights to determine which should appear as normal.
Given that VE refreshes on page creation, should Flow do something similar?

Thanks for looking into it.

Yeah, I think refreshing works here. We do that on the history page as well.

Change 260226 restored by Sn1per:
[WIP] Reload if board is new

Reason:
Per T117837#1895944

https://gerrit.wikimedia.org/r/260226

Change 260227 abandoned by Sn1per:
Client-side loading of History tab

Reason:
Per T117837#1895944

https://gerrit.wikimedia.org/r/260227

Change 260226 merged by jenkins-bot:
Reload if board is new

https://gerrit.wikimedia.org/r/260226

Sn1per renamed this task from History tab should show as soon as board is created, before refresh to Reload board when it is created to show page actions.Dec 29 2015, 2:01 AM
Sn1per closed this task as Resolved.
Sn1per updated the task description. (Show Details)